<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RLbmGroup StructType
 * @subpackage Structs
 */
class RLbmGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Description;
    /**
     * The ProcessnodeActive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $ProcessnodeActive;
    /**
     * The ProcessnodeStandby
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $ProcessnodeStandby;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RLbmGroup
     * @uses RLbmGroup::setName()
     * @uses RLbmGroup::setDescription()
     * @uses RLbmGroup::setProcessnodeActive()
     * @uses RLbmGroup::setProcessnodeStandby()
     * @uses RLbmGroup::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeActive
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeStandby
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeActive = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeStandby = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setProcessnodeActive($processnodeActive)
            ->setProcessnodeStandby($processnodeStandby)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmGroup
     */
    public function setDescription($description = null)
    {
        $this->Description = $description;
        return $this;
    }
    /**
     * Get ProcessnodeActive value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getProcessnodeActive()
    {
        return $this->ProcessnodeActive;
    }
    /**
     * Set ProcessnodeActive value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeActive
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmGroup
     */
    public function setProcessnodeActive(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeActive = null)
    {
        $this->ProcessnodeActive = $processnodeActive;
        return $this;
    }
    /**
     * Get ProcessnodeStandby value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getProcessnodeStandby()
    {
        return $this->ProcessnodeStandby;
    }
    /**
     * Set ProcessnodeStandby value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeStandby
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmGroup
     */
    public function setProcessnodeStandby(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $processnodeStandby = null)
    {
        $this->ProcessnodeStandby = $processnodeStandby;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
